Layer7 Access Management

Expand all | Collapse all

Web Agent Configuration on IBM HTTP Server 8.5.5.1 fails with APACHE_VERSION missing ?

  • 1.  Web Agent Configuration on IBM HTTP Server 8.5.5.1 fails with APACHE_VERSION missing ?

    Posted 02-04-2015 05:04 PM

    Web Agent Configuration fails with these errors in debug log, has anyone seen it ?

     

     

     

    Please enter path (DEFAULT: ): /opt/IBM/HTTPServer

     

    1. PermissionCheck.install()
    2. GetApacheWebserverListUnix.getInstallStatusMessage()
    3. GetApacheWebserverListUnix.getInstallStatusMessage()
    4. GetApacheWebserverListUnix.install()

    *** Unable to get variable: $APACHE_VERSION$

    *** Caught NullPointerException.  getVariable()

    *** The variable $APACHE_VERSION$ does not exist or have no value.

    *** Unable to get variable: $APACHE_SPECIFIC_PATH_YES$

    *** Caught NullPointerException.  getVariable()

    *** The variable $APACHE_SPECIFIC_PATH_YES$ does not exist or have no value.

    *** Unable to get variable: $APACHE_VENDOR_TYPE$

    *** Caught NullPointerException.  getVariable()

    *** The variable $APACHE_VENDOR_TYPE$ does not exist or have no value.

    *** Unable to get variable: $ORACLE_VERSION$

    *** Caught NullPointerException.  getVariable()

    *** The variable $ORACLE_VERSION$ does not exist or have no value.

    1. GetApacheWebserverListUnix.checkPath()

    Conf dir is /opt/IBM/HTTPServer/conf  httpdfile is /opt/IBM/HTTPServer/bin/httpd

    Found Apache web server under: /opt/IBM/HTTPServer

    1. GetApacheWebserverListUnix.getVersion()

    Value of variable is_Rhel:  false

    *** Unable to get variable: $SUSE_DEFAULT_APACHE$

    *** Caught NullPointerException.  getVariable()

    *** The variable $SUSE_DEFAULT_APACHE$ does not exist or have no value.

    Successfully ran /opt/IBM/HTTPServer/bin/httpd

    InstallExceptionHandler: formatted message=Unable to find a version of Apache webserver: /opt/IBM/HTTPServer.

    Writing to log file:

    *****Unable to find a version of Apache webserver: /opt/IBM/HTTPServer.



  • 2.  Re: Web Agent Configuration on IBM HTTP Server 8.5.5.1 fails with APACHE_VERSION missing ?

    Posted 02-10-2015 10:12 AM


    davegmon

     

    Could you please confirm for us the exact version, bitness of the WebServer and Operating System. Could you also confirm for us the WebAgent installer name that is being used. Need to check the version and bitness match to make sure we are using the correct installer.

     

    1. What type of Apache are you running? IBM
    2. The full version the Apache you are running? IBM HTTP Server 8.5.5.1
    3. The bit level of the Apache you are ruuning?
    4. With which user is WebServer running?
    5. With which user was the WebAgent installed? The user needs to be same.
    6. When starting the Web agent configuation Wizzard, are you using the correct user which start/stops apache?
    7. Did you install the 32-bit or 64- bit web agent?
    8. The Version of Operating system?
    9. The bit level of Operating system?

     

    Typically, this issue could occur

    • if the Installer isn't able to read the files
    • OR there is a bit version mismatch
    • OR there is a path where the installer is checking for version info and that is corrupted.

     

    Regards

     

    Hubert